//
// Vector.h
//
// Simple templated vector implementation
//
// 09.28.2008 Jon C. Martin

#ifndef _VECTOR_H
#define _VECTOR_H

template <class T>
struct VectorT
{
public:

	VectorT()
	:	mX(T(0))
	,	mY(T(0))
	{}
	
	VectorT(T x, T y)
	:	mX(x)
	,	mY(y)
	{}
	
	T mX;
	T mY;
};

#endif


